from django.shortcuts import render
from django.contrib.auth.decorators import login_required
from main.models import UserDanantaro


@login_required
def info_pengguna(request):
    try:
        user_data = UserDanantaro.objects.get(user=request.user)
    except UserDanantaro.DoesNotExist:
        user_data = None

    context = {
        "user": request.user,
        "user_data": user_data
    }
    
    return render(request, "success.html", context)